<?php
	//@@
	//++++++++++++
	$StrNom=V($_POST['TxtNom']);
	$StrCon=V($_POST['TxtCon']);
	$StrDir=V($_POST['TxtDir']);
	$StrDis=V($_POST['CboDis']);
	$StrRuc=V($_POST['TxtRuc']);
	$StrDni=V($_POST['TxtDni']);
	$TipDoc=V($_POST['TipDoc']);
	$StrTel=V($_POST['TxtTel']);	
	$StrCel=V($_POST['TxtCel']);	
	$StrFax=V($_POST['TxtFax']);	
	$StrEma=V($_POST['TxtEma']);	
	$StrTip=V($_POST['CboTip']);	
	//
	$UbiPai=V($_POST['UbiPai']);
	$UbiDep=V($_POST['UbiDep']);
	$UbiPro=V($_POST['UbiPro']);
	$UbiDis=V($_POST['UbiDis']);
	$Rnd=V($_POST['Rnd']);
	//
	$UbiCod="";
	//
	//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){
			$StrId="";
		}else{
			$StrCmd="AR";
			$LStrPag=V($_GET['Pag']);
			if(!is_numeric($LStrPag)){
				$LStrPag="";
			}
		}
	}	
	//FUNCION PARA ACTIVAR UN REGISTRO
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$Id=$StrId;
		$StrNom=gs("NOMBRE","vclientes","ID=$Id");		
		$StrCon=gs("CONTACTO","vclientes","ID=$Id");		
		$StrDir=gs("DIRECCION","vclientes","ID=$Id");		
		$StrDis=gs("DISTRITO","vclientes","ID=$Id");		
		$StrRuc=gs("RUC","vclientes","ID=$Id");		
		$StrDni=gs("DNI","vclientes","ID=$Id");		
		$TipDoc=gs("SUN_DOC_TIP","vclientes","ID=$Id");		
		$StrTel=gs("TEL","vclientes","ID=$Id");		
		$StrCel=gs("CEL","vclientes","ID=$Id");		
		$StrFax=gs("FAX","vclientes","ID=$Id");		
		$StrEma=gs("EMAIL","vclientes","ID=$Id");		
		$StrTip=gs("TIPO","vclientes","ID=$Id");
		//
		$UbiPai=gs("UBI_PAI","vclientes","ID=$Id");
		$UbiDep=gs("UBI_DEP","vclientes","ID=$Id");
		$UbiPro=gs("UBI_PRO","vclientes","ID=$Id");
		$UbiDis=gs("UBI_DIS","vclientes","ID=$Id");
		$Rnd=gs("cli_rnd","clientes","id_cliente=$Id");
		//	
		$LStrFoc="document.getElementById('TxtNom').focus();";		
	}
	//
	if($StrCmd=="L"){
		$LIMPIAR=1;
	}
	//
	if($StrCmd=="G" || $StrCmd=="M"){		
		$StrDis_=gn("id_distrito","distritos","dis_nombre='$StrDis'");
		$StrTip_=gn("id_clit","clientes_tipos","clit_nombre='$StrTip'");
		$TipDoc_=gn("id","sunat_catalogos","des='$TipDoc'");
		$UbiCod=gs("UBIGEO","lista_ubigeo",
				   "DEP='$UbiDep' AND PROV='$UbiPro' AND DIS='$UbiDis'");
		
	}
	//FUNCIONES DE ACTUALIZACION
	if($StrCmd=="G"){
		if(GetC("vclientes","NOMBRE='$StrNom'")>0){
			$LStrMsg="Nombre del cliente ya esta registrado";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";
		}		
		if(strlen($StrGT)==0){
			if(strlen($StrRuc)>0){
				if(GetC("vclientes","RUC='$StrRuc'")>0){
					$LStrMsg="Numero de ruc ya registrado";
					$LStrFoc="document.getElementById('TxtRuc').focus();";						
					$StrGT="S";					
				}
			}
		}
		if(strlen($StrGT)==0){
			if(strlen($StrDni)>0){
				if(GetC("vclientes","DNI='$StrDni'")>0){
					$LStrMsg="Numero de dni ya registrado";
					$LStrFoc="document.getElementById('TxtDni').focus();";						
					$StrGT="S";					
				}
			}
		}
		if(strlen($StrGT)==0){
			$Id=GenId("id_cliente","clientes");
			$s="INSERT INTO clientes VALUES ($Id,'$StrNom','$StrCon'
				,'$StrDir',$StrDis_,'$StrDni','$StrRuc','$StrTel'
				,'$StrCel','$StrFax','$StrEma',$StrTip_,$TipDoc_,
				'$UbiPai','$UbiDep','$UbiPro','$UbiDis','$UbiCod','$Rnd')";
			ejt($s);
			if($LStrMM=="S")	$LStrMsg="Datos registrados";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrGT="S";
			$LIMPIAR=1;
		}
	}
	if($StrCmd=="M"){
		if(GetC("vclientes","NOMBRE='$StrNom' AND ID<>$StrId")>0){
			$LStrMsg="Nombre del cliente ya esta registrado";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";
		}
		if(strlen($StrGT)==0){
			if(strlen($StrRuc)>0){
				if(GetC("vclientes","RUC='$StrRuc' AND ID<>$StrId")>0){
					$LStrMsg="Numero de ruc ya registrado";
					$LStrFoc="document.getElementById('TxtRuc').focus();";						
					$StrGT="S";					
				}
			}
		}	
		if(strlen($StrGT)==0){
			if(strlen($StrDni)>0){
				if(GetC("vclientes","DNI='$StrDni' AND ID<>$StrId")>0){
					$LStrMsg="Numero de dni ya registrado";
					$LStrFoc="document.getElementById('TxtDni').focus();";						
					$StrGT="S";					
				}
			}
		}	
		if(strlen($StrGT)==0){
			$s="UPDATE clientes 
				SET cli_nombre='$StrNom',cli_contacto='$StrCon'
				,cli_dir='$StrDir',cli_id_distrito=$StrDis_,cli_dni='$StrDni',
				cli_ruc='$StrRuc',cli_tel='$StrTel'
				,cli_cel='$StrCel',cli_fax='$StrFax',cli_email='$StrEma',
				cli_id_clit=$StrTip_ ,cli_id_tip_doc=$TipDoc_,
				cli_ubi_pai='$UbiPai', cli_ubi_dep='$UbiDep',
				cli_ubi_pro='$UbiPro',cli_ubi_dis='$UbiDis',
				cli_ubi_cod='$UbiCod',cli_rnd='$Rnd' WHERE id_cliente=$StrId";
			ejt($s);
			if($LStrMM=="S")	$LStrMsg="Datos actualizados";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrGT="S";
			$LIMPIAR=1;		
		}
	}
	if($StrCmd=="E"){		
		$R=CLI_VE($StrId);
		if($R=="VEN"){
			$LStrMsg="No se puede eliminar. Una o mas ventas relacionadas";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";	
		}
		if($R=="COT"){
			$LStrMsg="No se puede eliminar. Una o mas proformas relacionadas";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";	
		}

		if(strlen($StrGT)==0){
			$s="DELETE FROM clientes WHERE id_cliente=$StrId";	
			ejt($s);
			if($LStrMM=="S")	$LStrMsg="Registro Eliminado";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrGT="S";
			$LIMPIAR=1;
		}
	}
	//////////////////////////////////
	if($LIMPIAR==1){
		$StrId="";
		$StrNom="";
		$StrCon="";
		$StrDir="";
		$StrDis="";
		$StrRuc="";
		$StrDni="";
		$StrTel="";
		$StrCel="";
		$StrFax="";
		$StrEma="";
		$StrTip="";
		$TipDoc="";
		$UbiPai="";
		$UbiDep="";
		$UbiPro="";
		$UbiDis="";
		$Rnd="";
	}
	//////////////////////////////////
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
			}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
			}
		}else{
			if(strlen($LStrFoc)>0){
				$LStrMsg="onload=\"$LStrFoc;\"";
			}
		}
	}else{
		$LStrFoc="document.getElementById('TxtNom').focus();";
		$LStrMsg="onload=\"$LStrFoc;\"";
	}
?>